Subscription
Active Subscription
This method allows you to check if the authenticated bearer token (Authorization: Bearer <API_KEY>) has access to Remapdb’s API.
GET
/
subscription
Active Subscription
curl --request GET \
--url https://api.remapdb.com/v2/subscription \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.remapdb.com/v2/subscription"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.remapdb.com/v2/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_key": "string",
"scopes": [
"vdb_read"
],
"calls_limit": 60,
"created": "2024-12-04T08:05:15+00:00",
"subscription": {
"id": 0,
"start_date": "2024-12-04T08:05:15+00:00",
"end_date": "2028-12-04T08:05:15+00:00",
"catalog_profile": "full",
"api_access": true,
"is_active": true
}
}Authorizations
All API methods require Bearer authentication. Use your existing API key as the bearer token.
Authorization header format: Authorization: Bearer YOUR_API_KEY.
Response
Success
The API key used as the bearer token in Authorization: Bearer <API_KEY>.
Maximum string length:
2048Pattern:
^[^\u0000-\u001F\u007F]*$The maximum number of API requests that can be made within the configured access window.
Example:
60
ISO 8601 date
Maximum string length:
2048Pattern:
^[^\u0000-\u001F\u007F]*$Example:
"2024-12-04T08:05:15Z"
Array with strings. Contains all the access scopes that this API key has.
Maximum array length:
1000The name of the access scope.
Maximum string length:
2048Pattern:
^[^\u0000-\u001F\u007F]*$Object which contains the subscription information.
Show child attributes
Show child attributes
⌘I
Active Subscription
